## wxFilterInputStream

A filter stream has the capability of a normal stream but it can be placed on top of another stream. So, for example, it can uncompress or decrypt the data which are read from another stream and pass it to the requester.

Derived from

wxInputStream
wxStreamBase

Include files

<wx/stream.h>

Note

The interface of this class is the same as that of wxInputStream. Only a constructor differs and it is documented below.

Members

wxFilterInputStream::wxFilterInputStream

### wxFilterInputStream::wxFilterInputStream

wxFilterInputStream(wxInputStream& stream)

Initializes a "filter" stream.